# Uses of Class
org.apache.commons.math3.fraction.FractionConversionException

Packages that use FractionConversionException
Package
Description
org.apache.commons.math3.fraction
Fraction number type and fraction number formatting.

## Uses of FractionConversionException in org.apache.commons.math3.fraction

Methods in org.apache.commons.math3.fraction that throw FractionConversionException
Modifier and Type
Method
Description
`StringBuffer`
FractionFormat.`format(Object obj, StringBuffer toAppendTo, FieldPosition pos)`
Formats an object and appends the result to a StringBuffer.
Constructors in org.apache.commons.math3.fraction that throw FractionConversionException
Modifier
Constructor
Description
``
`BigFraction(double value, double epsilon, int maxIterations)`
Create a fraction given the double value and maximum error allowed.
``
`BigFraction(double value, int maxDenominator)`
Create a fraction given the double value and maximum denominator.
``
`Fraction(double value)`
Create a fraction given the double value.
``
`Fraction(double value, double epsilon, int maxIterations)`
Create a fraction given the double value and maximum error allowed.
``
`Fraction(double value, int maxDenominator)`
Create a fraction given the double value and maximum denominator.